/*
 * out_drv.h
 *
 *
 *  Created on: 02-12-2019
 *      Author: KJ
 */

#ifndef OUT_DRV_H_
#define OUT_DRV_H_

#include "tdefs.h"
#include "helper.h"

struct out_drv_logic
{
	u16 out_count;
	u16 element_num[];
};

struct out_drv_io
{
}__attribute__((__packed__));

struct out_drv_params
{
}__attribute__((__packed__));

struct out_drv_args
{
	struct out_drv_io io;
	struct out_drv_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int out_drv_initlog(void *args, void *logic);
extern void out_drv(void *args, void *logic);

#endif /* OUT_DRV_H_ */
